<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activity.CargoTrackingActivity"
    tools:ignore="ResourceName">

    <include layout="@layout/title_tool_bar" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <!--        搜索、列表页-->
        <LinearLayout
            android:id="@+id/searchListFragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:visibility="visible">

            <!--            搜索 框 列表区域-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/list_bg"
                android:orientation="vertical"
                android:paddingLeft="20dp"
                android:paddingTop="10dp"
                android:paddingRight="20dp"
                android:paddingBottom="10dp">

                <!--        搜索 区域-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="10dp"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="20dp"
                        android:layout_height="match_parent" />

                    <!--            地区类型-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row">

                        <TextView
                            android:id="@+id/countryType"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/bg_spinner_pda"
                            android:gravity="center_vertical"
                            android:hint="地区类型"
                            android:inputType="text"
                            android:paddingHorizontal="10dp"
                            android:singleLine="true"
                            android:textSize="15dp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="20dp"
                        android:layout_height="match_parent" />

                    <!--            进出港-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row">

                        <TextView
                            android:id="@+id/ieFlag"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/bg_spinner_pda"
                            android:gravity="center_vertical"
                            android:hint="进出港"
                            android:inputType="text"
                            android:paddingHorizontal="10dp"
                            android:singleLine="true"
                            android:textSize="15dp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="20dp"
                        android:layout_height="match_parent" />
                    <!--            运单号-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/bg_search_row"
                        android:orientation="horizontal">

                        <EditText
                            android:id="@+id/wbNo"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/input_edit_text"
                            android:gravity="center_vertical"
                            android:hint="请输入运单号"
                            android:imeOptions="actionDone"
                            android:inputType="text"
                            android:paddingStart="10dp"
                            android:singleLine="true"
                            android:textSize="15dp" />

                        <ImageView
                            android:id="@+id/wbNoScan"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginRight="10dp"
                            android:src="@mipmap/scan_code"
                            app:tint="@color/weak_grey" />

                    </LinearLayout>
                    <!--            搜索-->
                    <LinearLayout
                        android:id="@+id/searchLayout"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="3">

                        <ImageView
                            style="@style/iv_search_action"
                            android:src="@drawable/img_search"
                            app:tint="@color/colorPrimary" />

                    </LinearLayout>

                </LinearLayout>

                <!--列表区域-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="10dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recyclerList"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:overScrollMode="never" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recyclerList2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:overScrollMode="never" />
                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

    </FrameLayout>
</LinearLayout>